Espeak is not workin still workin in NVDA version next


Ângelo Abrantes
 

He,
I don't nnow what's happening with portuguese "next" NVDA versions and espeak.
Here you have the nvda.log extract, where the error apears.
"Speaking [LangChangeCommand (u'pt_PT'), u'eSpeak NG']
IO - inputCore.InputManager.executeGesture (15:01:24):
Input: kb(desktop):enter
INFO - synthDrivers.espeak.SynthDriver.__init__ (15:01:24):
Using eSpeak version 1.48.15 16.Apr.15
WARNING - synthDriverHandler.SynthDriver.loadSettings (15:01:24):
Invalid voice: pt-pt
ERROR - synthDriverHandler.setSynth (15:01:24):
setSynth
Traceback (most recent call last):
File "synthDriverHandler.pyc", line 88, in setSynth
File "synthDriverHandler.pyc", line 499, in loadSettings
File "synthDriverHandler.pyc", line 29, in changeVoice
File "synthDrivers\espeak.pyc", line 219, in _set_voice
File "synthDriverHandler.pyc", line 366, in _get_language
KeyError: u'pt-pt'
WARNING - stdout (15:01:24):
OrderedDict([('262144', <synthDriverHandler.VoiceInfo object at 0x05930AF0>), ('65537', <synthDriverHandler.VoiceInfo object at 0x05930B50>), ('65536', <synthDriverHandler.VoiceInfo object at 0x05930BB0>), ('131073', <synthDriverHandler.VoiceInfo object at 0x05930C10>), ('131072', <synthDriverHandler.VoiceInfo object at 0x05930C70>), ('589824', <synthDriverHandler.VoiceInfo object at 0x05930CD0>), ('196608', <synthDriverHandler.VoiceInfo object at 0x05930D30>), ('196609', <synthDriverHandler.VoiceInfo object at".
Thanks
Ângelo Abrantes

Join nvda@nvda.groups.io to automatically receive all group messages.